Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.cometd.client.ext
Class AckExtension

    java.lang.Object
      org.mortbay.cometd.client.ext.AckExtension

All Implemented Interfaces:
  org.cometd.Extension

    public class AckExtension

extends java.lang.Object
implements org.cometd.Extension

AckExtension This client-side extension enables the client to acknowledge to the server the messages that the client has received. For the acknowledgement to work, the server must be configured with the correspondent server-side ack extension. If both client and server support the ack extension, then the ack functionality will take place automatically. By enabling this extension, all messages arriving from the server will arrive via the long poll, so the comet communication will be slightly chattier. The fact that all messages will return via long poll means also that the messages will arrive with total order, which is not guaranteed if messages can arrive via both long poll and normal response. Messages are not acknowledged one by one, but instead a group of messages is acknowledged when long poll returns.

Author:
  dyu

Field Summary
`static java.lang.String` | `EXT_FIELD`

Constructor Summary
`AckExtension()`

Method Summary
`org.cometd.Message` | `rcv(org.cometd.Client from, org.cometd.Message message)`
`org.cometd.Message` | `rcvMeta(org.cometd.Client from, org.cometd.Message message)`
`org.cometd.Message` | `send(org.cometd.Client from, org.cometd.Message message)`
`org.cometd.Message` | `sendMeta(org.cometd.Client from, org.cometd.Message message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXT_FIELD

    public static final java.lang.String EXT_FIELD

See Also:
  Constant Field Values

Constructor Detail

### AckExtension

    public AckExtension()

Method Detail

### send

    public org.cometd.Message send(org.cometd.Client from,
                                   org.cometd.Message message)

  Specified by:
    `send` in interface `org.cometd.Extension`

### rcv

    public org.cometd.Message rcv(org.cometd.Client from,
                                  org.cometd.Message message)

  Specified by:
    `rcv` in interface `org.cometd.Extension`

### sendMeta

    public org.cometd.Message sendMeta(org.cometd.Client from,
                                       org.cometd.Message message)

  Specified by:
    `sendMeta` in interface `org.cometd.Extension`

### rcvMeta

    public org.cometd.Message rcvMeta(org.cometd.Client from,
                                      org.cometd.Message message)

  Specified by:
    `rcvMeta` in interface `org.cometd.Extension`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.